local mPhotonView, mJavaBridge = ...

local TAG = "common_used_gird_card"

local mRecyclerView
local rootView
local needReport = true


function init()
    mJavaBridge:Log(TAG, "init--lua--")
    mRecyclerView = Rapid:getChild("recyclerView")
    rootView = Rapid:getChild("grid_view_root")
end


function onResume()
    mJavaBridge:Log("luazyc", "-----onResume")
    refreshData()
end



function refreshData()

    local realDataList = {}
    local realViewList = {}


    local item_num = tonumber(Rapid:getData("item_num"));

    if (item_num == nil or item_num == 0) then
        rootView:getView():setVisibility(8)
        return
    end
    

    for i = 0, item_num - 1 do
        local subTitleNum = ""
        local subTitleNumColor = ""
        local subTitle = ""
        local index = i + 1
        local item_data = {}
        local item = Rapid:getData("item_data_" .. index)
        item_data["function_id"] = Rapid:getData("item_data_" .. index .. "_function_id")
        item_data["item_title"] = Rapid:getData("item_data_" .. index .. "_item_title")
        item_data["item_icon"] = Rapid:getData("item_data_" .. index .. "_item_icon")
        item_data["jump_url"] = Rapid:getData("item_data_" .. index .. "_jump_url")
        
        item_data["recommendid"] = Rapid:getData("card_recommendid")
        item_data["modeltype"] = Rapid:getData("modeltype")
        item_data["slotid"] = Rapid:getData("slotid")
        item_data["subposition"] = index
        item_data["scene"] = Rapid:getData("scene")
        item_data["sourcescene"] = Rapid:getData("sourcescene")
        item_data["sourcesceneslotid"] = Rapid:getData("sourcesceneslotid")
        item_data["manager_score"] = mJavaBridge:getNormalSettingsData("key_cal_final_score", "-1")

        local score = item_data["manager_score"]
        local function_id = tonumber(Rapid:getData("item_data_" .. index .. "_function_id"))
        --垃圾清理
        if (function_id == 1) then
            subTitleNum = mJavaBridge:getRubbishData()
            item_data["subtitlenumcolor"] = needColor(subTitleNum)
            if subTitleNum == "" then
                subTitle = ""
            else
                subTitle = "垃圾可清理"
            end
        end
        --QQ清理
        if (function_id == 4) then
            subTitleNum = mJavaBridge:getQQCleanData()
            item_data["subtitlenumcolor"] = needColor(subTitleNum)
            if subTitleNum == "" then
                subTitle = ""
            else
                subTitle = "垃圾"
            end
        end
        --微信清理
        if (function_id == 2) then
            subTitleNum = mJavaBridge:getWxCleanData()
            item_data["subtitlenumcolor"] = needColor(subTitleNum)
            if subTitleNum == "" then
                subTitle = ""
            else
                subTitle = "垃圾"
            end
        end
        item_data["subtitle"] = subTitle
        item_data["subtitlenum"] = subTitleNum

        if subTitleNum == "" then 
            item_data["subtitlenumcolor"] = "777777"
        end
        
        realDataList[index] = item_data
        realViewList[index] = "common_used_card_item.xml"   


        if needReport then
            local actionRunner = mPhotonView:getParser():getTaskCenter():getActionRunner()
            local params1 = {}
            params1["param"] ="scene:data@scene,actionid:100,slotid:data@slotid,subposition:" .. index .. ",modeltype:data@modeltype,sourcescene:data@sourcescene,sourcesceneslotid:data@sourcesceneslotid,status:-1"
            params1["extendparam"] = "report_element:entrance,uni_card_title:".. item_data["item_title"] .. ",uni_manage_score:" .. score ..  ",uni_entrance_id:" .. function_id
            params1["recommendid"] = "data@card_recommendid"
            actionRunner:run("reportaction", params1, nil)


            local params2 = {}
            params2["param"] ="scene:data@scene,actionid:-100,slotid:data@slotid,subposition:" .. index .. ",modeltype:data@modeltype,sourcescene:data@sourcescene,sourcesceneslotid:data@sourcesceneslotid,status:-1"
            params2["extendparam"] = "report_element:entrance,uni_card_title:".. item_data["item_title"] .. ",uni_manage_score:" .. score ..  ",uni_entrance_id:" .. function_id
            params2["recommendid"] = "data@card_recommendid"
            actionRunner:run("reportaction", params2, nil)

        end
    end
    needReport = false
    mRecyclerView:getView():clear()
    mRecyclerView:getView():updateData(realViewList, realDataList)
end


function needColor(subTitleNum)
    mJavaBridge:Log(TAG, "init--lua--1:" .. subTitleNum)
    
    if string.sub(subTitleNum,-2)=="GB" then
        mJavaBridge:Log(TAG, "init--lua--GB:" .. subTitleNum)
        return "f86273"
    end
    if string.sub(subTitleNum,-2)=="MB" then
        local len = string.len( subTitleNum )
        local str = string.sub( subTitleNum, 1,  len - 2 )
        local count = tonumber(str)
        mJavaBridge:Log(TAG, "init--lua--MB:" .. count)
        if(count > 500) then
            mJavaBridge:Log(TAG, "init--lua--500MB:" .. count)
            return "f86273";
        end
    end
    return "777777";
end

