local mPhotonView, mJavaBridge = ...



local mRecyclerView = nil


function main()
    mRecyclerView = mPhotonView:getParser():getChildView('recyclerview')
end

function loadData()
    local dataList = {}
    local viewNameList = {}
    local subViewName = 'other_used_card_item.xml'

    local _scene = mPhotonView:getParser():getBinder():get("scene")
    local _sourcescene = mPhotonView:getParser():getBinder():get("sourcescene")
    local _modeltype = mPhotonView:getParser():getBinder():get("modeltype")
    local _sourceslotid =  mPhotonView:getParser():getBinder():get("sourcesceneslotid")
    local _slotid =  mPhotonView:getParser():getBinder():get("slotid")
    local _uni_card_title =  mPhotonView:getParser():getBinder():get("card_title")
    
    local itemCount = tonumber(Rapid:getData('item_num','0'))
    for i = 1, itemCount do

        local itemData = {}
        local itemTitle = mPhotonView:getParser():getBinder():get("item_data_" .. i .. "_item_title")
        local itemIcon = mPhotonView:getParser():getBinder():get("item_data_" .. i .. "_item_icon")
        local itemJumpUrl = mPhotonView:getParser():getBinder():get("item_data_" .. i .. "_jump_url")
        local functionId = mPhotonView:getParser():getBinder():get("item_data_" .. i .. "_function_id")
        local entranceRecommendid = mPhotonView:getParser():getBinder():get("item_data_" .. i .. "_entrance_recommendid")

        if _uni_card_title ~= nil then
            local var_uni_card_title = mJavaBridge:create("Var", _uni_card_title)
            itemData["uni_card_title"] = var_uni_card_title
        end
        
        if functionId ~= nil then
            local var_functionId = mJavaBridge:create("Var", functionId)
            itemData["uni_entrance_id"] = var_functionId
        end
        
        if entranceRecommendid ~= nil then
            local var_entranceRecommendid = mJavaBridge:create("Var", entranceRecommendid)
            itemData["entrance_recommendid"] = var_entranceRecommendid
        end

        if itemTitle ~= nil then
            local var_itemTitle = mJavaBridge:create("Var", itemTitle)
            itemData["item_title"] = var_itemTitle
        end

        if itemIcon ~= nil then
            local var_itemIcon = mJavaBridge:create("Var", itemIcon)
            itemData["item_icon"] = var_itemIcon
        end

        if itemJumpUrl ~= nil then
            local var_itemJumpUrl = mJavaBridge:create("Var", itemJumpUrl)
            itemData["jump_url"] = var_itemJumpUrl
        end

		if _scene ~= nil then
			local var_scene = mJavaBridge:create("Var", _scene)
			itemData["scene"] = var_scene
        end
        
        if _sourcescene ~= nil then
			local var_sourcescene = mJavaBridge:create("Var", _sourcescene)
			itemData["sourcescene"] = var_sourcescene
			itemData["sourceScene"] = var_sourcescene
        end
        
        if _modeltype ~= nil then
			local var_modeltype = mJavaBridge:create("Var", _modeltype)
			itemData["modeltype"] = var_modeltype
			itemData["modelType"] = var_modeltype
		end
        
        if _sourceslotid ~= nil then
			local var_sourceslotid = mJavaBridge:create("Var", _sourceslotid)
			itemData["sourcesceneslotid"] = var_sourceslotid
			itemData["sourceSceneSlotId"] = var_sourceslotid
		end
        
        if _slotid ~= nil then
            local var_slotid = mJavaBridge:create("Var", _slotid)
            itemData["slotid"] = var_slotid
            itemData["slotId"] = var_slotid
        end
        itemData["subPosition"] = mJavaBridge:create("var",tostring(i))

        if i <= 4 then
            local var_marginTop = mJavaBridge:create("Var", "0")
            itemData["marginTop"] = var_marginTop
        else
            local var_marginTop = mJavaBridge:create("Var", "29")
            itemData["marginTop"] = var_marginTop
        end
        
        dataList[i] = itemData
        viewNameList[i] = subViewName
    end

    mRecyclerView:getView():clear()
    mRecyclerView:getView():updateData(viewNameList, dataList)
end